Page MenuHomePhabricator

vyatta_update_sysctl.pl does not support options that have multiple values
Closed, ResolvedPublicBUG

Description

The current vyatta_update_sysctl.pl ( https://github.com/vyos/vyatta-cfg-system/blob/current/scripts/system/vyatta_update_sysctl.pl ) does not handle sysctl options that have multiple values. See examples below.

This command works:
set system sysctl custom net.ipv4.tcp_fin_timeout value '15'

These commands do not work:
set system sysctl custom net.ipv4.ip_local_port_range value '1024 65535'
set system sysctl custom net.ipv4.tcp_wmem value '65536 1048576 4194304'

I have modified vyatta_update.sysctl.pl to handle options that have multiple values. I have attached my modified version to this bug report.

Details

Difficulty level
Normal (likely a few hours)
Version
1.1.8+
Why the issue appeared?
Will be filled on close

Event Timeline

dt-iland created this task.Jan 10 2019, 6:26 AM
pasik added a subscriber: pasik.Jan 11 2019, 12:09 PM
syncer assigned this task to zsdc.Jan 12 2019, 7:20 PM
syncer changed the task status from Open to Needs testing.
syncer triaged this task as Normal priority.
zsdc reassigned this task from zsdc to dmbaturin.Jan 15 2019, 10:13 AM
zsdc changed the task status from Needs testing to Confirmed.
zsdc added a subscriber: zsdc.

Confirmed. If we try to change variable with multiple values, will be applied only first of them. For example:

net.ipv4.tcp_wmem = 4098	16384	1643392

changing:
set system sysctl custom net.ipv4.tcp_wmem value '65536 1048576 4194304'

result:
net.ipv4.tcp_wmem = 65536	16384	1643392

Tested on 1.2.0-rc11.

syncer closed this task as Resolved.
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.0-GA) board.